Bug 1044790 - Doc bug: Only the image that can be listed by vol-list can be removed by undefined with option remove-all-storage
Summary: Doc bug: Only the image that can be listed by vol-list can be removed by unde...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Peter Krempa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1044445
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 02:52 UTC by Yang Yang
Modified: 2014-10-14 04:19 UTC (History)
5 users (show)

Fixed In Version: libvirt-0.10.2-32.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1044445
Environment:
Last Closed: 2014-10-14 04:19:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1374 0 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2014-10-14 08:11:54 UTC

Comment 4 Yang Yang 2014-04-15 02:16:10 UTC
I can reproduce it on libvirt-0.10.2-32.el6.x86_64

#man virsh
  undefine 
...........

           Volume deletion is only attempted after the domain is undefined; if not
           all of the requested volumes could be deleted, the error message
           indicates what still remains behind. If a volume path is not found
           in the domain definition, it’s treated as if the volume was
           successfully deleted.  (See domblklist for list of target names
           associated to a domain).  Example: --storage
           vda,/path/to/storage.img
..........

The following line was not found in manual page.
Only volumes managed by libvirt in storage pools can be removed this
way.

Comment 5 Yang Yang 2014-04-15 03:34:10 UTC
I am sorry. Please ignore comment 4.

This bug is fixed in libvirt-0.10.2-32.el6.x86_64

#man virsh

 undefine domain
..............

 The --storage flag takes a parameter volumes, which is a comma
           separated list of volume target names or source paths of storage
           volumes to be removed along with the undefined domain. Volumes can
           be undefined and thus removed only on inactive domains. Volume
           deletion is only attempted after the domain is undefined; if not
           all of the requested volumes could be deleted, the error message
           indicates what still remains behind. If a volume path is not found
           in the domain definition, it’s treated as if the volume was
           successfully deleted. *Only volumes managed by libvirt in storage
           pools can be removed this way.*  (See domblklist for list of target
           names associated to a domain).  Example: --storage
           vda,/path/to/storage.img
....................

The following line was found in manual page.
Only volumes managed by libvirt in storage pools can be removed this
way.

So I change the status to verified.

Comment 7 errata-xmlrpc 2014-10-14 04:19:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1374.html


Note You need to log in before you can comment on or make changes to this bug.